Subject: Re: can't figure something out in gl.h
From: [email-masked] (Earnie Boyd)

22 Sep 1997 11:45:59 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked], [email-masked]

>Date: Sat, 20 Sep 1997 04:06:29 -0700
>To: [email-masked]
>From: Garner Chung <[email-masked]>
>Subject: can't figure something out in gl.h
>
>One of the main reasons for my having so many problems linking to SGI's
>opengl.dll was the fact that in "gl.h" there are these lines:
>
>
><fontfamily><param>Courier New</param>#if !defined(WIN32)
>
>#define WINGDIAPI
>
>#define APIENTRY
>
>#endif /* defined(WIN32) */
>
></fontfamily>
>
>Basically, they don't work.  So APIENTRY gets redefined to nothing 
(from
>STDCALL).  Therefore gcc would constantly spit out an object file that
>would tell the ld to try and link to a glFunction without the "@NN"s.  
I
>therefore idiotically assumed that all glFunctions were not
>STDCALL's(without even looking at the gl header file).  I am kind of
>unversed in programming in general.  I guess I am wondering why these
>lines don't work properly.  Meaning that: WINGDIAPI and APIETNRY should
>not get redefined to nothing on my machine.
>
>
>Where would "WIN32" get defined?
>
>
>garner
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

Garner,

I believe the problem is the it should be "_WIN32" and not "WIN32".  It 
gets defined in the specs file located in 
/gnuwin32/b18/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404/.

Good Luck,

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".